' SetIcon(iconname$, TheWindow%)	


' External Win32 Functions
Extern "win32"

	Function ExtractIconA:Int(hWnd:Int, File$z, Index:Int)
	Function GetActiveWindow:Int()
	Function SendMessage:Int(hWnd:Int, MSG:Int, wParam:Int, lParam:Int) = "SendMessageA@16"
	Function SHAppBarMessage:Int(dwMessage:Int, pData:Byte Ptr)
	
End Extern

' --------------------------------------------------------------------------------------------
' Set Icon in Win32 mode
'
' Usage: SetIcon(AppFile, GetActiveWindow())
' --------------------------------------------------------------------------------------------
Function SetIcon(iconname:String, TheWindow:Int)

	?Win32
	
	Local icon:Int = ExtractIconA(TheWindow, iconname, 0)
	Local WM_SETICON:Int = $80
	Local ICON_BIG:Int = 1
	SendMessage(TheWindow, WM_SETICON, ICON_BIG, icon)
		
	?

End Function


' --------------------------------------------------------------------------------------------
' Get Height and position of Windows Taskbar
'
' Usage: Local a:APPBARDATA=New APPBARDATA
'        SHAppBarMessage(ABM_GETTASKBARPOS , a)
'        Print "Width: " + (a._right - a._left)
'        Print "Height: " + (a._bottom - a._top)
' --------------------------------------------------------------------------------------------
Const ABM_GETTASKBARPOS:Int = $5

Type APPBARDATA

	Field cbSize:Int
	Field hwnd:Int
	Field uCallbackMessage:Int
	Field uEdge:Int
	
	Field _left:Int 'RECT
	Field _top:Int
	Field _right:Int
	Field _bottom:Int

	Field lParam:Int
	
End Type

Function GetTaskBarHeight:Int()

	?Win32

	Local a:APPBARDATA = New APPBARDATA
	SHAppBarMessage(ABM_GETTASKBARPOS, a)
	Return (a._bottom - a._top)
	
	?
	
	Return 0

End Function